# Account APIs

### Get WEMIX Balance for a single address

#### URI

<table data-header-hidden><thead><tr><th width="130"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>POST https://explorerapi.wemix.com/v1/accounts/balance</td></tr><tr><td><em>Testnet</em></td><td>POST https://explorerapi.test.wemix.com/v1/accounts/balance</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**        | **value**        | **required** |
| -------------- | ---------------- | ------------ |
| *Content-Type* | application/json | true         |
| *api-key*      | api key          | true         |

* **BODY(application/json)**

| **key**     | **type**      | **value**                                                                                                                                                                    | **required** |
| ----------- | ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| *addresses* | List\<String> | <p>Address of account:                                                                         - min : 1                                              </p><p>- max : 20 </p> | true         |

#### REQUEST SAMPLE

```
POST https://explorerapi.test.wemix.com/v1/accounts/balance
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
Content-Type: application/json

{
    "addresses" : [
                "0x76C6E4A0a2A141343c370D5d36276DA643B0c829",
                "0xcD07A6d6A8DE7CdD3F5E1224eBC3540f70AEC52f"
    ]
}
```

#### **RESPONSE PARAMETER** <a href="#response-data-1" id="response-data-1"></a>

| **key**                | **type**      | **value**                   |
| ---------------------- | ------------- | --------------------------- |
| *status*               | String        | Status of request           |
| *message*              | String        | Response Message of request |
| *results*              | Json          | Results of request          |
| *results.data*         | List\<Object> | List of data                |
| *results.data.address* | String        | Address of account          |
| *results.data.balance* | String        | Balance of address          |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "data": [
            {
                "address": "0x76C6E4A0a2A141343c370D5d36276DA643B0c829",
                "balance": "999999999989999999999589997401953799975191356000"
            },
            {
                "address": "0xcD07A6d6A8DE7CdD3F5E1224eBC3540f70AEC52f",
                "balance": "10000000000009000000000000000004"
            }
        ]
    }
}
```

### Get list of transactions by address.

#### **URI**

<table data-header-hidden><thead><tr><th width="125"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/transactions</td></tr><tr><td><em>Testnet</em></td><td><p>GET </p><p>https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/transactions</p></td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api key   | true         |

* **PATH VARIABLE**

<table data-header-hidden><thead><tr><th width="155"></th><th></th><th width="173"></th><th></th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong>type</strong></td><td><strong>value</strong></td><td><strong>required</strong></td></tr><tr><td><em>address_hash</em></td><td>String</td><td><ul><li>Address(sender/receiver/contract)</li></ul></td><td>true</td></tr></tbody></table>

* **QUERY STRING**

<table data-header-hidden><thead><tr><th width="158"></th><th width="204"></th><th width="173"></th><th></th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong>type</strong></td><td><strong>value</strong></td><td><strong>required</strong></td></tr><tr><td><em>limit</em></td><td>Integer</td><td>Maximum number of record will retrieve               Default: 50, Max: 1000 </td><td>false</td></tr><tr><td><em>offset</em></td><td>Integer</td><td>Start retrieve record                                                   Default: 0</td><td>false</td></tr><tr><td><em>startBlock</em></td><td>String</td><td>Start block                                                   Default: null</td><td>false</td></tr><tr><td><em>endBlock</em></td><td>String</td><td>End block                                                   Default: null</td><td>false</td></tr><tr><td><em>input</em></td><td>Boolean</td><td>Include input data                                                   - true                                                   - Default: false</td><td>false</td></tr><tr><td><em>simple</em></td><td>Boolean</td><td>Include data simple                                                   - true                                                   - Default: false</td><td>false</td></tr><tr><td><em>condition</em></td><td>String</td><td><p>Address condition</p><p>- Default: all</p><p>- to</p><p>- from</p><p>- contract                                                                                                                                                     </p></td><td></td></tr></tbody></table>

#### REQUEST SAMPLE

```
GET https://explorerapi.wemix.com/v1/accounts/0xBbAB376Fd9c3a0f5ef1D2114c8dd1512FD858ee2/transactions
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER** <a href="#response-data-1" id="response-data-1"></a>

| **key**                                     | **type**      | **include data&#x20;*****simple*** | **value**                                                                                                                                                                                                        |
| ------------------------------------------- | ------------- | ---------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *status*                                    | String        |                                    | Status of request                                                                                                                                                                                                |
| *message*                                   | String        |                                    | Response Message of request                                                                                                                                                                                      |
| *reuslts*                                   | Json          |                                    | Results of request                                                                                                                                                                                               |
| *reuslts.count*                             | String        |                                    | Total count of data                                                                                                                                                                                              |
| *reuslts.data*                              | List\<Object> |                                    | List of data                                                                                                                                                                                                     |
| *results.data.timestamp*                    | String        |                                    | UTC time when the transaction occurred                                                                                                                                                                           |
| *results.data.nonce*                        | String        |                                    | Number of transaction requests                                                                                                                                                                                   |
| *results.data.sender*                       | String        | O                                  | Address of sender                                                                                                                                                                                                |
| *results.data.receiver*                     | String        | O                                  | Address of receiver                                                                                                                                                                                              |
| *results.data.value*                        | *String*      |                                    | Value of transaction                                                                                                                                                                                             |
| *results.data.confirmations*                | String        |                                    | Block height                                                                                                                                                                                                     |
| *results.data.transaction\_hash*            | String        | O                                  | Hash value of the transaction                                                                                                                                                                                    |
| *results.data.block\_hash*                  | String        |                                    | Hash value of the block                                                                                                                                                                                          |
| *results.data.transaction\_index*           | String        |                                    | Index of the transaction on the block                                                                                                                                                                            |
| *results.data.tx\_status*                   | String        | O                                  | Status of the transaction:                                                                               - 0: Failed,                                                                               - 1: Success |
| *results.data.tx\_message*                  | String        |                                    | Message when executing transaction                                                                                                                                                                               |
| results.data.in\_tx\_status                 | String        |                                    | Status of internal transaction.                             - 0: Failed,                                                                               - 1: Success                                              |
| *results.data.in\_tx\_message*              | String        |                                    | Message when executing internal transaction                                                                                                                                                                      |
| *results.data.tx\_fee*                      | String        | O                                  | Fee of executing the transaction                                                                                                                                                                                 |
| *results.data.block\_number*                | String        | O                                  | Number of block that contains the transaction                                                                                                                                                                    |
| *results.data.contract\_address*            | String        |                                    | Address of contract creation if this is create contract transaction                                                                                                                                              |
| *results.data.gas\_limit*                   | String        |                                    | Limit of gas for executing the transaction                                                                                                                                                                       |
| *results.data.gas\_price*                   | String        | O                                  | Gas price of transaction                                                                                                                                                                                         |
| *results.data.cumulative\_gas\_used*        | String        | O                                  | Total amount of gas used when transaction was executed in the block.                                                                                                                                             |
| results.data.gas\_used                      | String        |                                    | Total amount of Gas used transactions                                                                                                                                                                            |
| *results.data.max\_fee\_per\_gas*           | String        |                                    | Maximum (priority fee + base fee) limit                                                                                                                                                                          |
| *results.data.max\_priority\_fee\_per\_gas* | String        |                                    | Maximum priority fee limit                                                                                                                                                                                       |
| *results.data.input*                        | String        |                                    | ABI encoding of transaction data                                                                                                                                                                                 |
| *results.data.to\_block*                    | String        | O                                  | Lookup block(add simple only)                                                                                                                                                                                    |
| *results.data.from\_block*                  | String        | O                                  | Start block(add simple only)                                                                                                                                                                                     |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "23712",
        "data": [
            {
                "timestamp": "2022-12-28T00:08:23Z",
                "sender": "0xac4783dcf53c1fb67e152c300390d61ea8b3e1d3",
                "receiver": "0x0898a80d55e4de9d398193d0f6aa788b9790e8d3",
                "value": "0",
                "confirmations": "6070555",
                "transaction_hash": "0x56e18258a7fa25ca232402c708926bfb44a1cea4ead4d5803cadea0d8aaaa2b4",
                "block_hash": "0x886565489899cb867f054a1ed301c190687776a265824065c055f799e69a570f",
                "transaction_index": "0",
                "tx_status": "0",
                "block_number": "14133850",
                "gas_price": "110000000000",
                "cumulative_gas_used": "67884",
                "gas_used": "67884",
                "max_fee_per_gas": "110000000000",
                "max_priority_fee_per_gas": "110000000000"
            },
            ...
        ]
    }
}
```

#### **RESPONSE SAMPLE(Simple Transaction)**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "23712",
        "data": [
            {
                "sender": "0xac4783dcf53c1fb67e152c300390d61ea8b3e1d3",
                "receiver": "0x0898a80d55e4de9d398193d0f6aa788b9790e8d3",
                "transaction_hash": "0x56e18258a7fa25ca232402c708926bfb44a1cea4ead4d5803cadea0d8aaaa2b4",
                "tx_status": "1",
                "tx_fee": "7467240000000000",
                "block_number": "14133850",
                "gas_price": "110000000000",
                "gas_used": "67884"
            },
            ...
        ],
        "to_block": "20204526"
    }
}
```

### Get "Internal Transactions" by address

#### **URI**

<table><thead><tr><th width="124"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/internal-transactions</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/internal-transactions</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**                                           | **required** |
| --------------- | -------- | --------------------------------------------------- | ------------ |
| *address\_hash* | String   | <ul><li>Address(sender/receiver/contract)</li></ul> | true         |

* **QUERY STRING**

| **key**      | **type** | **value**                                                                           | **required**         |
| ------------ | -------- | ----------------------------------------------------------------------------------- | -------------------- |
| *limit*      | Integer  | Maximum number of record will retrieve           Default: 50, Max: 1000             | false                |
| *offset*     | Integer  | Start retrieve record            Default: 0                                         | false                |
| *startBlock* | String   | Start block                                                   Default: null         | <p>false</p><p> </p> |
| *endBlock*   | String   | End block                                                   Default: null           | <p>false</p><p> </p> |
| *input*      | Boolean  | Include input data                                                   Default: false | false                |

#### REQUEST SAMPLE

```
GET https://explorerapi.wemix.com/v1/accounts/0xBEd789c6008F788a28fc222C83082D67033Daf7F/internal-transactions?input=true
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                           | **type**      | **value**                                                                                                                                                                                     |
| --------------------------------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *status*                          | String        | Status of request                                                                                                                                                                             |
| *message*                         | String        | Response Message of request                                                                                                                                                                   |
| *results*                         | Json          | Results of request                                                                                                                                                                            |
| *results.count*                   | String        | Total count of data                                                                                                                                                                           |
| *results.data*                    | List\<Object> | List of data                                                                                                                                                                                  |
| *results.data.timestamp*          | String        | UTC time when the transaction occurred                                                                                                                                                        |
| *results.data.sender*             | String        | Address of sender                                                                                                                                                                             |
| *results.data.receiver*           | String        | Address of receiver                                                                                                                                                                           |
| *results.data.value*              | String        | Value of internal transaction                                                                                                                                                                 |
| *results.data.status*             | String        | Status of internal transaction                                                   - 0: Failed,                                                                               - 1: Success      |
| *results.data.message*            | String        | Message of internal transaction                                                                                                                                                               |
| *results.data.transaction\_hash*  | String        | Hash value of the transaction                                                                                                                                                                 |
| *results.data.block\_number*      | String        | Block height                                                                                                                                                                                  |
| *results.data.contract\_address*  | String        | Address of contract creation if this is create contract transaction                                                                                                                           |
| *results.data.trace\_address*     | List\<String> | Trace mapping information                                                                                                                                                                     |
| *results.data.trace\_type*        | String        | Type of trace: call, delegatecall, codecall, staticcall, selfdestruct                                                                                                                         |
| *results.data.sub\_traces*        | String        | Number of sub traces from this internal transaction                                                                                                                                           |
| *results.data.transaction\_index* | String        | Index of the transaction on the block                                                                                                                                                         |
| *results.data.gas\_used*          | String        | Total amount of Gas used transactions                                                                                                                                                         |
| *results.data.gas\_limit*         | String        | Limit of gas for executing the transaction                                                                                                                                                    |
| *results.data.external\_receiver* | String        | Whether external receive has occurred                                    - false: external transaction exists                                     - true: external transaction does not exist |
| results.data.input                | String        | Input parameters used when executing a transaction                                                                                                                                            |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "2047",
        "data": [
            {
                "timestamp": "2023-02-15T06:24:53Z",
                "sender": "0xbed789c6008f788a28fc222c83082d67033daf7f",
                "receiver": "0x53b690b826d611884d40f68252236d7c23d32d53",
                "value": "0",
                "status": "0",
                "message": null,
                "transaction_hash": "0x985512f6e0729d28ccdd568f6e9b7486b63aa0926cd4dbd9852b5899e9d27f7e",
                "block_number": "10207545",
                "contract_address": null,
                "trace_address": [
                    "0",
                    "1"
                ],
                "trace_type": "delegatecall",
                "sub_traces": null,
                "transaction_index": "0",
                "gas_used": "43323",
                "gas_limit": "81177",
                "external_receiver": false
                "input": "0xbac4f3380000000000000000000000007ad5ffaa39d3638fc775bb118d1092caa210fcbf"
        ]
    }
}
```

### Get a list of "ERC20 - Token Transfer Events" by address

#### **URI**

<table><thead><tr><th width="129"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/token-transfer/erc20</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/token-transfer/erc20</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**                                                                       | **required**        |
| --------------- | -------- | ------------------------------------------------------------------------------- | ------------------- |
| *address\_hash* | String   | <ul><li>Address(sender/receiver/contract)</li><li>Transaction Address</li></ul> | <p> </p><p>true</p> |

* **QUERY STRING**

| **key**      | **type** | **value**                                                                                                 | **required** |
| ------------ | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*      | Integer  | Maximum number of record will retrieve               Default: 50, Max: 1000                               | false        |
| *offset*     | Integer  | Start retrieve record                                                                          Default: 0 | false        |
| *startBlock* | String   | Start Block                                                                        Default: null          | false        |
| *endBlock*   | String   | End Block                                                                        Default: null            | false        |

#### REQUEST SAMPLE

```
GET https://explorerapi.test.wemix.com/v1/accounts/0x43dc58449beb06bf350e0181703c617f0bfa78bf/token-transfer/erc20
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

<table data-header-hidden><thead><tr><th></th><th width="308"></th><th></th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong>type</strong></td><td><strong>value</strong></td></tr><tr><td><em>status</em></td><td>String</td><td>Status of request</td></tr><tr><td><em>message</em></td><td>String</td><td>Message of request</td></tr><tr><td><em>results</em></td><td>Json</td><td>Results of request</td></tr><tr><td><em>results.count</em></td><td>String</td><td>Total count of data</td></tr><tr><td><em>results.data</em></td><td>List&#x3C;Object></td><td>List of data</td></tr><tr><td><em>results.data.timestamp</em></td><td>String</td><td>UTC time when the transaction occurred</td></tr><tr><td><em>results.data.sender</em></td><td>String</td><td>Address of sender</td></tr><tr><td><em>results.data.receiver</em></td><td>String</td><td>Address of receiver</td></tr><tr><td><em>results.data.value</em></td><td>String</td><td>Transfer value</td></tr><tr><td><em>results.data.confirmations</em></td><td>String</td><td>Number of block's confirmation</td></tr><tr><td><em>results.data.block_number</em></td><td>String</td><td>Block number</td></tr><tr><td><em>results.data.transaction_hash</em></td><td>String</td><td>Hash of transaction</td></tr><tr><td><em>results.data.block_hash</em></td><td>String</td><td>Hash of block</td></tr><tr><td><em>results.data.token_address</em></td><td>String</td><td>Token creation if this is create token contract address</td></tr><tr><td><em>results.data.token_name</em></td><td>String</td><td>Name of token </td></tr><tr><td><em>results.data.token_symbol</em></td><td>String</td><td>Symbol of token</td></tr><tr><td><em>results.data.token_decimals</em></td><td>String</td><td>Decimals of token</td></tr><tr><td><em>results.data.transaction_index</em></td><td>String</td><td>Index of transaction</td></tr></tbody></table>

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "2",
        "data": [
            {
                "timestamp": "2023-01-19T12:35:54Z",
                "sender": "0x43dc58449beb06bf350e0181703c617f0bfa78bf",
                "receiver": "0x05ceb79bf4cd7a24bbe6066d9e54c643b9cb1108",
                "value": "0",
                "confirmations": "4126491",
                "block_number": "16079523",
                "transaction_hash": "0x626c86c34db077d68131094d9768abf3cd03be3267d1a967e4352835ab09f73e",
                "block_hash": "0x2795a79f72ddd47c729fefd36797713e4de3fc25b24e70357d59612abc5ac961",
                "token_address": "0x01199b488fa05df702eee426b14d1cfdbd7b746d",
                "token_name": null,
                "token_symbol": null,
                "token_decimals": null,
                "transaction_index": "0"
            },
            {
                "timestamp": "2023-01-18T14:40:32Z",
                "sender": "0xd9a370dd275181b47e39d6e88625d44f2eb1a466",
                "receiver": "0x43dc58449beb06bf350e0181703c617f0bfa78bf",
                "value": "0",
                "confirmations": "4205414",
                "block_number": "16000600",
                "transaction_hash": "0x5077a2519f8c8e6cf6bce16c6228068063b86fc54a771371d8d79a2d88267bde",
                "block_hash": "0x23fda9b7bc8aabe59ccfd56a67d7660a927a576e65866c0fb8bdeff0cbd24909",
                "token_address": "0x32637199e54e5b79990d84a0d2a161ec22ac1068",
                "token_name": null,
                "token_symbol": null,
                "token_decimals": null,
                "transaction_index": "0"
            }
        ]
    }
}
```

### Get a list of "ERC721 - Token Transfer Events" by address

#### **URI**

<table><thead><tr><th width="129"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/token-transfer/erc721</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/token-transfer/erc721</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**                                                                       | **required**        |
| --------------- | -------- | ------------------------------------------------------------------------------- | ------------------- |
| *address\_hash* | String   | <ul><li>Address(sender/receiver/contract)</li><li>Transaction Address</li></ul> | <p> </p><p>true</p> |

* **QUERY STRING**

| **key**      | **type** | **value**                                                                                                 | **required** |
| ------------ | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*      | Integer  | Maximum number of record will retrieve               Default: 50, Max: 1000                               | false        |
| *offset*     | Integer  | Start retrieve record                                                                          Default: 0 | false        |
| *startBlock* | String   | Start Block                                                                        Default: null          | false        |
| *endBlock*   | String   | End Block                                                                        Default: null            | false        |

#### REQUEST SAMPLE

```
GET https://explorerapi.test.wemix.com/v1/accounts/0x43dc58449beb06bf350e0181703c617f0bfa78bf/token-transfer/erc721
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

<table data-header-hidden><thead><tr><th></th><th width="308"></th><th></th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong>type</strong></td><td><strong>value</strong></td></tr><tr><td><em>status</em></td><td>String</td><td>Status of request</td></tr><tr><td><em>message</em></td><td>String</td><td>Message of request</td></tr><tr><td><em>results</em></td><td>Json</td><td>Results of request</td></tr><tr><td><em>results.count</em></td><td>String</td><td>Total count of data</td></tr><tr><td><em>results.data</em></td><td>List&#x3C;Object></td><td>List of data</td></tr><tr><td><em>results.data.timestamp</em></td><td>String</td><td>UTC time when the transaction occurred</td></tr><tr><td><em>results.data.sender</em></td><td>String</td><td>Address of sender</td></tr><tr><td><em>results.data.receiver</em></td><td>String</td><td>Address of receiver</td></tr><tr><td><em>results.data.confirmations</em></td><td>String</td><td>Number of block's confirmation</td></tr><tr><td><em>results.data.block_number</em></td><td>String</td><td>Block number</td></tr><tr><td><em>results.data.transaction_hash</em></td><td>String</td><td>Hash of transaction</td></tr><tr><td><em>results.data.block_hash</em></td><td>String</td><td>Hash of block</td></tr><tr><td><em>results.data.token_address</em></td><td>String</td><td>Token creation if this is create token contract address</td></tr><tr><td><em>results.data.token_name</em></td><td>String</td><td>Name of token </td></tr><tr><td><em>results.data.token_symbol</em></td><td>String</td><td>Symbol of token</td></tr><tr><td><em>results.data.token_decimals</em></td><td>String</td><td>Decimals of token</td></tr><tr><td><em>results.data.transaction_index</em></td><td>String</td><td>Index of transaction</td></tr></tbody></table>

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "3",
        "data": [
            {
                "timestamp": "2023-01-12T05:40:28Z",
                "sender": "0x0000000000000000000000000000000000000000",
                "receiver": "0x43dc58449beb06bf350e0181703c617f0bfa78bf",
                "confirmations": "18158317",
                "block_number": "15449790",
                "transaction_hash": "0x288e7082ed9eb284391566d6212e224d1a345d2a2a7471329959714334cca67a",
                "block_hash": "0xebc8a7e50a4ac1d631e1a1bf8ec73944b87086be04c8e787274c469638a9a66c",
                "token_address": "0xd05f171995fa2ce44f2bc765e120fed1430a538f",
                "token_name": "MyNFT",
                "token_symbol": "NFT",
                "token_decimals": null,
                "transaction_index": "0"
            },
            {
                "timestamp": "2023-01-12T03:38:33Z",
                "sender": "0x0000000000000000000000000000000000000000",
                "receiver": "0x43dc58449beb06bf350e0181703c617f0bfa78bf",
                "confirmations": "18165632",
                "block_number": "15442475",
                "transaction_hash": "0x3249ccb59cb5986941b4a84503ab29ae45995cc43278163ac5f6ea1301eca07f",
                "block_hash": "0x4dfbc1eefee42cc5541543ecbfe40e9bc88ab17c3d839eefc62fff0bb8b85f1b",
                "token_address": "0x3665731c515974eee182618c48bbdec847063627",
                "token_name": "MyNFT",
                "token_symbol": "NFT",
                "token_decimals": null,
                "transaction_index": "0"
            },
            {
                "timestamp": "2023-01-12T03:16:14Z",
                "sender": "0x0000000000000000000000000000000000000000",
                "receiver": "0x43dc58449beb06bf350e0181703c617f0bfa78bf",
                "confirmations": "18166971",
                "block_number": "15441136",
                "transaction_hash": "0x3f1585e992b5ba4bc4f60419faa25bbc3e2ea839e0b8484d17a87b32765f5a9b",
                "block_hash": "0x0ecb317f27d0f14022215ebf75f763398aac6ef538182383f2389183e5a6344a",
                "token_address": "0x3665731c515974eee182618c48bbdec847063627",
                "token_name": "MyNFT",
                "token_symbol": "NFT",
                "token_decimals": null,
                "transaction_index": "0"
            }
        ]
    }
}
```

### Get ERC20/ERC721 Token List for a single address

#### URI

<table data-header-hidden><thead><tr><th width="126"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/tokens</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/tokens</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**               | **required** |
| --------------- | -------- | ----------------------- | ------------ |
| *address\_hash* | String   | address of token holder | true         |

* **QUERY STRING**

| **key**  | **type** | **value**                                                                                                 | **required** |
| -------- | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*  | Number   | Maximum number of record will retrieve               Default: 50                                          | false        |
| *offset* | Number   | Start retrieve record                                                                          Default: 0 | false        |

#### **REQUEST SAMPLE**

```
GET https://explorerapi.test.wemix.com/v1/accounts/0xB20d32637296190A4A492dddB4Af2b0f03Df24F1/tokens
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                            | **type**      | **value**              |
| ---------------------------------- | ------------- | ---------------------- |
| *erc\_20*                          | List\<Object> | List of ERC-20         |
| *erc\_20.count*                    | String        | Count of ERC-20 Lists  |
| *erc\_20.results*                  | Json          | Results of request     |
| *erc\_20.results.balance*          | String        | Balance                |
| *erc\_20.results.token\_address*   | String        | Address of token       |
| *erc\_20.results.holder\_address*  | String        | Address of holder      |
| *erc\_20.results.holder\_type*     | String        | Type of token          |
| *erc\_20.results.token\_decimals*  | String        | Decimal of token       |
| *erc\_721*                         | List\<Object> | List of ERC-721        |
| *erc\_721.count*                   | String        | Count of ERC-721 Lists |
| *erc\_721.results*                 | Json          | Results of request     |
| *erc\_721.results.balance*         | String        | Balance                |
| *erc\_721.results.token\_address*  | String        | Address of token       |
| *erc\_721.results.holder\_address* | String        | Address of holder      |

#### **RESPONSE SAMPLE**

```
{
    "erc_20": {
        "count": "1",
        "results": [
            {
                "balance": "4098808369498578418",
                "token_address": "0x4af286b2bf66ae46da121ffeb46c2a3bbe05dd97",
                "token_symbol": "TIPO",
                "token_name": "TIPOToken",
                "holder_address": "0xb20d32637296190a4a492dddb4af2b0f03df24f1",
                "holder_type": "0",
                "token_decimals": "18"
            }
        ]
    },
    "erc_721": {
        "count": "1",
        "results": [
            {
                "balance": "1",
                "token_address": "0x62E1Ad2A3A9AB55bA20Bc4EB27Fca655C41fDD88",
                "holder_address": "0xb20d32637296190a4a492dddb4af2b0f03df24f1"
            }
        ]
    }
}
```

### Get ERC20 Token List for a single address

#### URI

<table data-header-hidden><thead><tr><th width="126"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/tokens/erc20</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/tokens/erc20</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**               | **required** |
| --------------- | -------- | ----------------------- | ------------ |
| *address\_hash* | String   | address of token holder | true         |

* **QUERY STRING**

| **key**  | **type** | **value**                                                                                                 | **required** |
| -------- | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*  | Number   | Maximum number of record will retrieve               Default: 50                                          | false        |
| *offset* | Number   | Start retrieve record                                                                          Default: 0 | false        |

#### **REQUEST SAMPLE**

```
https://explorerapi.test.wemix.com/v1/accounts/0x52d68c69b088dbc87e5e4f48e6f4df31f018685e/tokens/erc20
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                       | **type** | **value**                  |
| ----------------------------- | -------- | -------------------------- |
| *status*                      | String   | Status of request          |
| *messag*e                     | String   | Message of request         |
| *results*                     | Json     | Results of request         |
| *results.count*               | String   | Total count of ERC-20 List |
| *results.data.token\_address* | String   | Address of token           |
| *results.data.token\_name*    | String   | Name of token              |
| *results.data.token\_symbol*  | String   | Symbol of token            |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "68",
        "data": [
            {
                "token_address": "0x3ebda066925bbc790fe198f47ef650ddb764ecfe",
                "token_name": "cWEMIX",
                "token_symbol": "cWEMIX"
            },
            ...
        ]
    }
}
```

### Get ERC721 Token List for a single address

#### URI

<table data-header-hidden><thead><tr><th width="126"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/tokens/erc721</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/tokens/erc721</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**               | **required** |
| --------------- | -------- | ----------------------- | ------------ |
| *address\_hash* | String   | address of token holder | true         |

* **QUERY STRING**

| **key**  | **type** | **value**                                                                                                 | **required** |
| -------- | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*  | Number   | Maximum number of record will retrieve               Default: 50                                          | false        |
| *offset* | Number   | Start retrieve record                                                                          Default: 0 | false        |

#### **REQUEST SAMPLE**

```
GET https://explorerapi.test.wemix.com/v1/accounts/0xB20d32637296190A4A492dddB4Af2b0f03Df24F1/tokens/erc721
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                       | **type** | **value**                   |
| ----------------------------- | -------- | --------------------------- |
| *status*                      | String   | Status of request           |
| *message*                     | String   | Message of request          |
| *results*                     | Json     | Results of request          |
| *results.count*               | String   | Total count of ERC-721 List |
| *results.data.token\_address* | String   | Address of token            |
| *results.data.token\_name*    | String   | Name of token               |
| *results.data.token\_symbol*  | String   | Symbol of token             |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "1",
        "data": [
            {
                "token_address": "0x62e1ad2a3a9ab55ba20bc4eb27fca655c41fdd88",
                "token_name": "Tangled",
                "token_symbol": "TTPS"
            }
        ]
    }
}
```

### Get ERC721 Token Inventory of a specific ERC721 contract

#### URI

<table data-header-hidden><thead><tr><th width="126"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/tokens/inventory/{token_address}</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/tokens/inventory/{token_address}</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

* **PATH VARIABLE**

| **key**             | **type** | **value**                                 | **required** |
| ------------------- | -------- | ----------------------------------------- | ------------ |
| *contract\_address* | String   | Contract address requiring inventory list | true         |
| *token\_address*    | String   | Specific token address                    | false        |

* **QUERY STRING**

| **key**  | **type** | **value**                                                                                                 | **required** |
| -------- | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*  | Number   | Maximum number of record will retrieve               Default: 50                                          | false        |
| *offset* | Number   | Start retrieve record                                                                          Default: 0 | false        |

#### **REQUEST SAMPLE**

```
GET https://explorerapi.test.wemix.com/v1/accounts/0xe3929888ddd76cefa78ac586a7749c7f5a86a143/tokens/inventory
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                        | **type**      | **value**              |
| ------------------------------ | ------------- | ---------------------- |
| *status*                       | String        | Status of request      |
| *message*                      | String        | Message of request     |
| *results*                      | Json          | Results of request     |
| *results.count*                | String        | Count of inventory     |
| *results.data*                 | List\<Object> | List of data           |
| results.data.contract\_address | String        | token contract address |
| *results.data.token\_id*       | String        | Id of token            |
| *results.data.token\_uri*      | String        | uri of token           |
| results.data.token\_name       | String        | token name             |
| results.data.token\_symbol     | String        | token symbol           |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "264",
        "data": [
            {
                "contract_address": "0x5f240d896ef64a6a13ec6cd8e530f465943ae354",
                "token_id": "39",
                "token_uri": "https://nile.blob.core.windows.net/metadata/LUS/39.json",
                "token_name": "Sample",
                "token_symbol": "SAMPLE"
            }
            ...
        ]
    }
}
```

### Get list of Blocks Mined by address

#### **URI**

<table data-header-hidden><thead><tr><th width="129"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/accounts/{address_hash}/mined-blocks</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/accounts/{address_hash}/mined-blocks</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api key   | true         |

* **PARH VARIABLE**

| **key**         | **type** | **value**        | **required** |
| --------------- | -------- | ---------------- | ------------ |
| *address\_hash* | String   | Address of miner | true         |

* **QUERY STRING**

| **key**  | **type** | **value**                                                                                                 | **required** |
| -------- | -------- | --------------------------------------------------------------------------------------------------------- | ------------ |
| *limit*  | Number   | Maximum number of record will retrieve                                           Default: 50              | false        |
| *offset* | Number   | Start retrieve record                                                                          Default: 0 | false        |

#### REQUEST SAMPLE

```
GET https://explorerapi.test.wemix.com/v1/accounts/0xf04f49b134996023e980022502581c7278f3191a/mined-blocks
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                           | **type**      | **value**                                       |
| --------------------------------- | ------------- | ----------------------------------------------- |
| *status*                          | String        | Status of request                               |
| *message*                         | String        | Message of request                              |
| *results*                         | Json          | Results of request                              |
| *results.count*                   | String        | Total count of data                             |
| *results.data*                    | List\<Object> | List of data                                    |
| *results.data.timestamp*          | String        | UTC time when the transaction occurred          |
| *results.data.miner*              | String        | Address of miner                                |
| *results.data.reward*             | String        | Reward for miner when mining this block         |
| results.data.fees                 | String        | Fee used when block was created                 |
| *results.data.block\_number*      | String        | Block height                                    |
| *results.data.gas\_used*          | String        | Number of used gas                              |
| *results.data.gas\_limit*         | String        | Number of limit gas                             |
| *results.data.transaction\_count* | String        | Number of transactions in the block             |
| results.data.mining\_reward       | String        | Rewards specified when blocks are created (pmr) |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "1295039",
        "data": [
            {
                "timestamp": "2023-08-10T09:50:47Z",
                "miner": "0xf04f49b134996023e980022502581c7278f3191a",
                "reward": "1000000000000000000",
                "fees": "0",
                "block_number": "33609019",
                "gas_used": "0",
                "gas_limit": "105000000",
                "transaction_count": "0",
                "mining_reward": "1000000000000000000"
            },
            ...
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wemix.com/en/dapp-developer/api-reference/account-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
